Thread (7 messages) 7 messages, 6 authors, 2014-09-12

Re: [PATCH v2] deb-pkg: Add support for powerpc little endian

From: Thadeu Lima de Souza Cascardo <hidden>
Date: 2014-09-05 12:09:38
Also in: linux-kbuild, lkml

On Fri, Sep 05, 2014 at 05:55:18PM +1000, Michael Neuling wrote:
On Fri, 2014-09-05 at 09:13 +0200, Gabriel Paubert wrote:
quoted
On Fri, Sep 05, 2014 at 03:28:47PM +1000, Michael Neuling wrote:
quoted
The Debian powerpc little endian architecture is called ppc64le.  This
Huh? ppc64le or ppc64el?
ppc64el.  Commit message is wrong.  Fixed below.

Mikey
What about ppc64?

Also, I sent that already a month ago. Both linuxppc-dev and Michal
Marek were on cc.

http://marc.info/?l=linux-kernel&m=140744360328562&w=2

Cascardo.
quoted hunk ↗ jump to hunk
From: Michael Neuling <redacted>

deb-pkg: Add support for powerpc little endian

The Debian powerpc little endian architecture is called ppc64el.  This
is the default architecture used by Ubuntu for powerpc.

The below checks the kernel config to see if we are compiling little
endian and sets the Debian arch appropriately.

Signed-off-by: Michael Neuling <redacted>
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 35d5a58..6f4a1af 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -37,7 +37,7 @@ create_package() {
 	s390*)
 		debarch=s390$(grep -q CONFIG_64BIT=y $KCONFIG_CONFIG && echo x || true) ;;
 	ppc*)
-		debarch=powerpc ;;
+		debarch=$(grep -q CPU_LITTLE_ENDIAN=y $KCONFIG_CONFIG && echo ppc64el || echo powerpc) ;;
 	parisc*)
 		debarch=hppa ;;
 	mips*)


_______________________________________________
Linuxppc-dev mailing list
Linuxppc-dev@lists.ozlabs.org
https://lists.ozlabs.org/listinfo/linuxppc-dev
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help